DefaultViewConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultViewConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultViewConfiguration

    java.lang.Object
      com.nokia.carbide.cdt.builder.DefaultViewConfiguration

All Implemented Interfaces:
  IViewConfiguration

Direct Known Subclasses:
  DefaultMMPViewConfiguration

    public class DefaultViewConfiguration

extends java.lang.Object
implements IViewConfiguration

Field Summary
`protected IPath` | `bldInfPath`
`protected ISymbianBuildContext` | `context`
`protected java.util.List<IDefine>` | `extraMacros`
`protected IProject` | `project`
`protected IPath` | `projectPath`
`protected IViewFilter` | `viewFilter`
`protected DefaultViewParserConfiguration` | `viewParserConfiguration`

Constructor Summary
`DefaultViewConfiguration(ICarbideProjectInfo projectInfo)` Create an "all" view configuration for the given project info.
`DefaultViewConfiguration(ICarbideProjectInfo projectInfo, ISymbianBuildContext buildContext)` Create a view configuration that obeys the settings for the given build context (may not be null).
`DefaultViewConfiguration(IPath bldInfPath, IViewFilter viewFilter)` Create a view configuration for the given full path to bld.inf and view filter.
`DefaultViewConfiguration(IProject project, ISymbianBuildContext context, IViewFilter viewFilter)` Create a view configuration for the given project and build context and view filter.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<IDefine>` | `getExtraMacros()` Access/modify a list of additional macros provided to the view configuration, for testing purposes.
`java.util.Collection<IDefine>` | `getMacros()` Get the fixed macros (macro name or name=value).
`IViewFilter` | `getViewFilter()` Get the filter defining how to handle conditional directives
`IViewParserConfiguration` | `getViewParserConfiguration()` Get the configuration for the parser.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    protected IProject project

### context

    protected ISymbianBuildContext context

### bldInfPath

    protected IPath bldInfPath

### viewFilter

    protected IViewFilter viewFilter

### viewParserConfiguration

    protected DefaultViewParserConfiguration viewParserConfiguration

### extraMacros

    protected java.util.List<IDefine> extraMacros

### projectPath

    protected IPath projectPath

Constructor Detail

### DefaultViewConfiguration

    public DefaultViewConfiguration(ICarbideProjectInfo projectInfo)

  Create an "all" view configuration for the given project info.

### DefaultViewConfiguration

    public DefaultViewConfiguration(ICarbideProjectInfo projectInfo,
                                    ISymbianBuildContext buildContext)

  Create a view configuration that obeys the settings for the given build context (may not be null).

### DefaultViewConfiguration

    public DefaultViewConfiguration(IProject project,
                                    ISymbianBuildContext context,
                                    IViewFilter viewFilter)

  Create a view configuration for the given project and build context and view filter.

  The build context may be null.

### DefaultViewConfiguration

    public DefaultViewConfiguration(IPath bldInfPath,
                                    IViewFilter viewFilter)

  Create a view configuration for the given full path to bld.inf and view filter.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getMacros

    public java.util.Collection<IDefine> getMacros()

  Description copied from interface: `IViewConfiguration`
  Get the fixed macros (macro name or name=value). This array should not change after creation since this configuration is stored in a view.

  Specified by:
    `getMacros` in interface `IViewConfiguration`

### getExtraMacros

    public java.util.List<IDefine> getExtraMacros()

  Access/modify a list of additional macros provided to the view configuration, for testing purposes.

### getViewFilter

    public IViewFilter getViewFilter()

  Description copied from interface: `IViewConfiguration`
  Get the filter defining how to handle conditional directives

  Specified by:
    `getViewFilter` in interface `IViewConfiguration`

### getViewParserConfiguration

    public IViewParserConfiguration getViewParserConfiguration()

  Description copied from interface: `IViewConfiguration`
  Get the configuration for the parser. This may differ based on SDK (i.e. different include paths or different keywords, etc.)

  Specified by:
    `getViewParserConfiguration` in interface `IViewConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD